> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.wealthatlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.wealthatlas.com/_mcp/server.

# Create a new person list

POST https://api.wealthatlas.com/v1/partners/lists
Content-Type: application/json

Create a new person list for the team. Optionally populate it with person IDs on creation. List names must be unique within a team.

**Cost: Free to create an empty list. 1 credit per person added on creation.**

Reference: https://developer.wealthatlas.com/api-reference/lists/create-list

## Authentication

- `x-api-key` header (required) — Your WealthAtlas API key. Contact support@wealthatlas.com to get started.

## Request

### Body (application/json)

This endpoint expects a CreateListRequest.

- `list_name` (string, required) — Name for the new list (must be unique within the team)
- `person_ids` (list of string, optional, nullable) — Optional list of WealthAtlas person IDs to add to the list on creation

## Response

### 201

Successful Response

- `list_id` (string, required) — ID of the newly created list
- `list_name` (string, required) — Name of the newly created list
- `successful_ids` (list of string, optional) — Person IDs that were successfully added to the list
- `failed_ids` (list of string, optional) — Person IDs that could not be added because their write failed. Credits for these are refunded. IDs that are in neither list were dropped for insufficient credits

## Errors

### 402 Payment Required Error

Out of credits in the bucket this endpoint charges (buckets are strictly isolated)

- `error` (string, required)
- `message` (string, required)
- `bucket` (string, required) — The credit bucket that was exhausted
- `available_credits` (integer, required)

### 409 Conflict Error

List with the same name already exists

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Request**

```json
{
  "list_name": "Major Donors 2024"
}
```

**Response**

```json
{
  "list_id": "string",
  "list_name": "string",
  "successful_ids": [
    "string"
  ],
  "failed_ids": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.wealthatlas.com/v1/partners/lists"

payload = { "list_name": "Major Donors 2024" }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.wealthatlas.com/v1/partners/lists';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"list_name":"Major Donors 2024"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wealthatlas.com/v1/partners/lists"

	payload := strings.NewReader("{\n  \"list_name\": \"Major Donors 2024\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.wealthatlas.com/v1/partners/lists")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"list_name\": \"Major Donors 2024\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.wealthatlas.com/v1/partners/lists")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"list_name\": \"Major Donors 2024\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.wealthatlas.com/v1/partners/lists', [
  'body' => '{
  "list_name": "Major Donors 2024"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.wealthatlas.com/v1/partners/lists");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"list_name\": \"Major Donors 2024\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["list_name": "Major Donors 2024"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wealthatlas.com/v1/partners/lists")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```